﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Web.Services;

public partial class Tickets_296419_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            myGrid.DataSource = MyData.BusinessDataStorage.GetData();
            myGrid.DataBind();
        }
    }

    protected void btnServerButton_Click(object sender, EventArgs e)
    {

    }

    protected void RefreshDataButton_Click(object sender, EventArgs e)
    {
        MyData.BusinessDataStorage.Create(5, 1);
    }

    [WebMethod(true)]
    public static Dictionary<string, object> GetData(string sortExpression)
    {
        Dictionary<string, object> data = new Dictionary<string, object>();

        data.Add("Data", MyData.BusinessDataStorage.GetData());
        data.Add("Count", MyData.BusinessDataStorage.GetData().Count);

        return data;
    }

    [WebMethod(true)]
    public static bool AddProduct(int productID)
    {
        MyData.BusinessDataStorage.Insert(new MyData.BusinessObject { Name = "Product " + productID });

        return true;
    }
}
